get
/v1/zones/{zone_id}/recordsets/{recordset_id}Get recordset
Get details of a specific recordset
Path Parameters
zone_id
string<uuid>requiredpath
DNS Zone ID
Example: "550e8400-e29b-41d4-a716-446655440000"
recordset_id
string<uuid>requiredpath
DNS Recordset ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
Recordset details
Content-Type: application/json
recordset
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/zones/550e8400-e29b-41d4-a716-446655440000/recordsets/550e8400-e29b-41d4-a716-446655440000" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
Recordset details
{"recordset": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:dns:recordset:550e8400-e29b-41d4-a716-446655440000","zone_id": "550e8400-e29b-41d4-a716-446655440001","zone_name": "example.com.","name": "www.example.com.","description": "string","status": "ACTIVE","action": "NONE","type": "A","ttl": 300,"records": ["192.168.1.10","192.168.1.11"],"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}